cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor I

which version of safari do i need to run turbotax?

I received a message saying that i could not use this turbotax version with the operating system i have installed. what's up with that?

1 Comment
Member I

which version of safari do i need to run turbotax?

The version depends on your Mac operating system.  Click the TurboTax link below to see the Safari version needed for the online software.

 

https://turbotax.intuit.com/personal-taxes/online/deluxe.jsp